sampleRobMoments {fBasics} | R Documentation

## Robust Moments for the GLD

### Description

Computes the first four robust moments for the Normal Inverse Gaussian Distribution.

### Usage

    sampleMED(x)
    sampleIQR(x)
    sampleSKEW(x)
    sampleKURT(x)

### Arguments

`x` | are numeric vector, the sample values.

### Value

All values for the `*sample` functions are numeric vectors: `d*` returns the density, `p*` returns the distribution function, `q*` returns the quantile function, and `r*` generates random deviates.

All values have attributes named `"param"` listing the values of the distributional parameters.

### Author(s)

Diethelm Wuertz.

### Examples

    ## Sample:
       x = rt(100, 4)

    ## sampleMED -
       # Median:
       sampleMED(x)

    ## sampleIQR -
       # Inter-quartile Range:
       sampleIQR(x)

    ## sampleSKEW -
       # Robust Skewness:
       sampleSKEW(x)

    ## sampleKURT -
       # Robust Kurtosis:
       sampleKURT(x)

[Package fBasics version 3042.89 Index]